%define major		1
%define libname		%mklibname datrie %{major}
%define develname	%mklibname datrie -d

Summary:	Double-array structure for representing trie
Name:		libdatrie
Version:	0.2.13
Release:	%mkrel 3
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://linux.thai.net/
Source0:	https://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	pkgconfig

%description
This is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%package -n	trietool
Summary:	Trie manipulation tool
Group:		Databases

%description -n	trietool
Trietool is a trie manipulation tool.

%package -n	%{libname}
Summary:	Double-array structure for representing trie
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
This is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%package -n	%{develname}
Summary:	Double-array structure for representing trie
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	datrie-devel = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package includes the header files and developer docs for the libdatrie
package.

Install libdatrie-devel if you want to develop programs which will use
libdatrie.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n trietool
%{_bindir}/*
%{_mandir}/man1/trietool*.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc README AUTHORS NEWS
%{_includedir}/datrie
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/doc/datrie/


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2.13-3.mga10
+ Revision: 2196607
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.2.13-2.mga9
+ Revision: 1799822
- Mageia 9 Mass Rebuild

* Sun Apr 18 2021 daviddavid <daviddavid> 0.2.13-1.mga9
+ Revision: 1716355
- new version: 0.2.13

* Fri Feb 14 2020 umeabot <umeabot> 0.2.12-2.mga8
+ Revision: 1521689
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.2.12-1.mga7
+ Revision: 1346442
- 0.2.12

* Sun Sep 23 2018 umeabot <umeabot> 0.2.10-2.mga7
+ Revision: 1298798
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.2.10-1.mga6
+ Revision: 918780
- 0.2.10

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-3.mga5
+ Revision: 741004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-2.mga5
+ Revision: 681396
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 dams <dams> 0.2.8-1.mga5
+ Revision: 666692
- new version 0.2.8

* Sat Oct 19 2013 umeabot <umeabot> 0.2.6-2.mga4
+ Revision: 529014
- Mageia 4 Mass Rebuild

* Tue Apr 09 2013 dams <dams> 0.2.6-1.mga4
+ Revision: 409191
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 356940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 tv <tv> 0.2.5-1.mga2
+ Revision: 202490
- new release

* Wed Jan 12 2011 dmorgan <dmorgan> 0.2.4-1.mga1
+ Revision: 7533
- imported package libdatrie


* Mon Nov 29 2010 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 602821
- new version 0.2.4

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2011.0
+ Revision: 602534
- rebuild

* Tue Mar 02 2010 Emmanuel Andry <eandry@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 513653
- New version 0.2.3

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.2-2mdv2010.0
+ Revision: 387583
- Don't package trietool manpage twice
- Fix license
- Update to new version 0.2.2 (new major)
- Move documentation to -devel package

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0.1.3-2mdv2009.1
+ Revision: 364589
- use configure2_5x

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1.3-2mdv2009.0
+ Revision: 222531
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 22 2008 Thierry Vignaud <tv@mandriva.org> 0.1.3-1mdv2008.1
+ Revision: 173838
- new release

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.1.2-2mdv2008.1
+ Revision: 150514
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 80102
- include man pages
- new release

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-4mdv2008.0
+ Revision: 76971
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdv2008.0
+ Revision: 76832
- new devel naming


* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-2mdv2007.0
+ Revision: 111936
- rename a sub package in order to let libthai build

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-1mdv2007.1
+ Revision: 111850
- Import libdatrie

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdv2007.1
- initial release

